
%define libname %mklibname git

Summary: Global Information Tracker
Name: linus-git
Version: 1.5.4.3
Release: %mkrel 1
Source0: http://www.kernel.org/pub/software/scm/git/git-%{version}.tar.bz2
Source1: http://www.kernel.org/pub/software/scm/git/git-%{version}.tar.bz2.sign
Source2: gitweb.conf
License: GPLv2
Group: Development/Other
Url: http://git.or.cz/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: openssl-devel
BuildRequires: zlib-devel
BuildRequires: curl-devel
BuildRequires: expat-devel
BuildRequires: asciidoc
BuildRequires: xmlto
BuildRequires: dos2unix
BuildRequires: perl-CGI
Requires: git-core = %{version}
Requires: gitk = %{version}
Requires: git-svn = %{version}
Requires: git-cvs = %{version}
Requires: git-email = %{version}
Requires: git-arch = %{version}
Requires: git-core-oldies = %{version}

%description
This is a stupid (but extremely fast) directory content manager.  It
doesn't do a whole lot, but what it _does_ do is track directory
contents efficiently. It is intended to be the base of an efficient,
distributed source code management system. This package includes
rudimentary tools that can be used as a SCM, but you should look
elsewhere for tools for ordinary humans layered on top of this.

This is a dummy package which brings in all subpackages.


%package -n git-core
Summary: Global Information Tracker
Group: Development/Other
Requires: diffutils
Requires: rsync
Requires: less
Requires: openssh-clients
Requires: curl
Conflicts: git

%description -n git-core
This is a stupid (but extremely fast) directory content manager.  It
doesn't do a whole lot, but what it _does_ do is track directory
contents efficiently. It is intended to be the base of an efficient,
distributed source code management system. This package includes
rudimentary tools that can be used as a SCM, but you should look
elsewhere for tools for ordinary humans layered on top of this.

This are the core tools with minimal dependencies.

You may want to install subversion, cpsps and/or tla to import
repositories from other VCS.


%package -n gitk
Summary: Git revision tree visualiser
Group: Development/Other
Requires: git-core = %{version}
Requires: tk >= 8.4

%description -n gitk
Git revision tree visualiser.

%package -n gitview
Summary: Git graphical revision tree visualiser
Group: Development/Other
Requires: git-core = %{version}
Requires: python-cairo
Requires: pygtk2.0

%description -n gitview
Git graphical revision tree visualiser.

%package -n %libname-devel	
Summary: Git development files	
Group: Development/Other	
Provides: git-devel = %version-%release	
 	 	
%description -n %libname-devel	
Development files for git.

%package -n git-svn
Summary:        Git tools for importing Subversion repositories
Group:          Development/Other
Requires:       git-core = %{version}-%{release}, subversion
%description -n git-svn
Git tools for importing Subversion repositories.

%package -n git-cvs
Summary:        Git tools for importing CVS repositories
Group:          Development/Other
Requires:       git-core = %{version}-%{release}, cvs, cvsps
%description -n git-cvs
Git tools for importing CVS repositories.

%package -n git-arch
Summary:        Git tools for importing Arch repositories
Group:          Development/Other
Requires:       git-core = %{version}-%{release}, tla
%description -n git-arch
Git tools for importing Arch repositories.

%package -n git-email
Summary:        Git tools for sending email
Group:          Development/Other
Requires:       git-core = %{version}-%{release}
%description -n git-email
Git tools for sending email.

%package -n perl-Git
Summary:        Perl interface to Git
Group:          Development/Perl
Requires:       git-core = %{version}-%{release}

%description -n perl-Git
Perl interface to Git

%package -n git-core-oldies
Summary:	Git obsolete commands, bound to extinction
Group:		Development/Other
Requires:	git-core = %{version}-%{release}

%description -n git-core-oldies
Git obsolete commands, bound to extinction

%package -n gitweb
Summary:	cgi-bin script for browse a git repository with web browser
Group:		System/Servers
Requires:	git-core = %{version}-%{release}

%description -n gitweb
cgi-bin script for browse a git repository with web browser.

%prep
%setup -q -n git-%{version}
# remove borring file
rm -f Documentation/.gitignore
# prefix gitweb css/png files with /gitweb
perl -pi -e 's!^(GITWEB_CSS|GITWEB_LOGO|GITWEB_FAVICON) = !$1 = /gitweb/!' Makefile

%build
%make prefix=%{_prefix} CFLAGS="$RPM_OPT_FLAGS" GITWEB_CONFIG=%{_sysconfdir}/gitweb.conf all doc gitweb/gitweb.cgi

# convert end of line to make rpmlint happy
dos2unix Documentation/*.html

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall_std prefix=%{_prefix} CFLAGS="$RPM_OPT_FLAGS"
make install-doc prefix=%{_prefix} DESTDIR=$RPM_BUILD_ROOT
install -m 755 contrib/gitview/gitview %buildroot%{_bindir}

mkdir -p %{buildroot}%{_includedir}/git
cp *.h %{buildroot}%{_includedir}/git

mkdir -p %{buildroot}%{_libdir}
install -m 644 libgit.a %buildroot%{_libdir}/libgit.a

mv %{buildroot}/%{_prefix}/lib/perl5/site_perl %{buildroot}/%{_prefix}/lib/perl5/vendor_perl
rm -f %{buildroot}/%{perl_vendorlib}/Error.pm

mkdir -p %{buildroot}%{_var}/www/cgi-bin/gitweb/
cp gitweb/gitweb.cgi %{buildroot}%{_var}/www/cgi-bin/
mkdir -p %{buildroot}%{_var}/www/gitweb/
cp gitweb/*.css gitweb/*.png %{buildroot}%{_var}/www/gitweb
mkdir -p %{buildroot}%{_sysconfdir}
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/gitweb.conf
# apache configuration
mkdir -p %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/gitweb.conf <<EOF
# gitweb configuration
Alias /gitweb %{_var}/www/gitweb

<Directory %{_var}/www/gitweb>
    Allow from all
</Directory>
EOF

# fix .sp in man files
find %{buildroot}/%{_mandir} -type f | xargs perl -e 's/\.sp$/\n\.sp/g' -pi

# emacs VC backend:
mkdir -p %{buildroot}{%_datadir/emacs/site-lisp,/etc/emacs/site-start.d}
install -m 644 contrib/emacs/*.el %{buildroot}%_datadir/emacs/site-lisp
cat >%{buildroot}/etc/emacs/site-start.d/vc_git.el <<EOF
(add-to-list 'vc-handled-backends 'GIT)
EOF

# install bash-completion file
mkdir -p  %{buildroot}%_sysconfdir/bash_completion.d
install -m644 contrib/completion/git-completion.bash %{buildroot}%_sysconfdir/bash_completion.d/

# install VIM syntax file
mkdir -p %{buildroot}%_datadir/vim/syntax
install -m644 contrib/vim/syntax/gitcommit.vim %{buildroot}%_datadir/vim/syntax
cp contrib/vim/README contrib/vim/README.vim

%check
LC_ALL=C make test prefix=%{_prefix} CFLAGS="$RPM_OPT_FLAGS"

%clean
rm -rf $RPM_BUILD_ROOT

%post -n gitweb
%{_post_webapp}

%postun -n gitweb
%{_postun_webapp}

%files
# no file in the main package

%files -n git-core
%defattr(-,root,root,0755)
/etc/emacs/site-start.d/*
/etc/bash_completion.d/*
%_datadir/emacs/site-lisp/*
%_datadir/vim/syntax/*
%{_bindir}/git
%{_bindir}/git-*
%exclude %{_bindir}/*svn*
%exclude %{_bindir}/*cvs*
%exclude %{_bindir}/git-archimport
%exclude %{_bindir}/*email*
# %exclude %{_bindir}/git-merge-recursive-old
%{_datadir}/git-core
%{_datadir}/git-gui
# %exclude %{_datadir}/git-core/python
%{_mandir}/*/git-*
%{_mandir}/*/git.*
%{_mandir}/*/gitattributes*
%{_mandir}/*/gitignore*
%{_mandir}/*/gitmodules*
%{_mandir}/*/gitcli*
%exclude %{_mandir}/man1/*svn*.1*
%exclude %{_mandir}/man1/*cvs*.1*
%exclude %{_mandir}/man1/*email*.1*
%exclude %{_mandir}/man1/git-archimport.1*
%doc README Documentation/*.html Documentation/howto Documentation/technical contrib/vim/README.vim

%files -n gitk
%defattr(-,root,root,0755)
%{_bindir}/gitk
%{_mandir}/*/gitk*
%{_datadir}/gitk
%doc README

%files -n gitview
%defattr(-,root,root,0755)
%doc contrib/gitview/gitview.txt
%{_bindir}/gitview

%files -n %{libname}-devel	
%defattr(-,root,root,0755)
%{_includedir}/git
%{_libdir}/libgit.a

%files -n git-svn
%defattr(-,root,root)
%{_bindir}/*svn*
%{_mandir}/man1/*svn*.1*
# %doc Documentation/*svn*.txt
# %doc Documentation/*svn*.html

%files -n git-cvs
%defattr(-,root,root)
%{_bindir}/*cvs*
%{_mandir}/man1/*cvs*.1*
# %doc Documentation/*git-cvs*.txt
# %doc Documentation/*git-cvs*.html

%files -n git-arch
%defattr(-,root,root)
%{_bindir}/git-archimport
%{_mandir}/man1/git-archimport.1*
# %doc Documentation/git-archimport.txt
# %doc Documentation/git-archimport.html

%files -n git-email
%defattr(-,root,root)
%{_bindir}/*email*
%{_mandir}/man1/*email*.1*
# %doc Documentation/*email*.txt
# %doc Documentation/*email*.html

%files -n perl-Git
%defattr(-,root,root)
%{perl_vendorlib}/*
%{_mandir}/man3/*
# /usr/lib/perl5/site_perl/5.8.8/Git.pm
# /usr/local/share/man/man3/Git.3pm

%files -n git-core-oldies
%defattr(-,root,root,0755)
# %{_bindir}/git-merge-recursive-old
# %{_datadir}/git-core/python

%files -n gitweb
%defattr(-,root,root,0755)
%doc gitweb/INSTALL gitweb/README
%config(noreplace) %{_sysconfdir}/gitweb.conf
%config(noreplace) %{_webappconfdir}/gitweb.conf
%{_var}/www/cgi-bin/gitweb.cgi
%{_var}/www/gitweb


%changelog
* Mon Feb 25 2008 Frederik Himpe <fhimpe@mandriva.org> 1.5.4.3-1mdv2008.1
+ Revision: 174935
- New upstream version

* Mon Feb 18 2008 Frederik Himpe <fhimpe@mandriva.org> 1.5.4.2-1mdv2008.1
+ Revision: 172006
- New upstream version
- New license policy

* Mon Feb 11 2008 Frederic Crozat <fcrozat@mandriva.com> 1.5.4.1-1mdv2008.1
+ Revision: 165231
- Release 1.5.4.1

* Mon Jan 21 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.3.5-7mdv2008.1
+ Revision: 155646
- rebuild for new perl
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Olivier Blin <oblin@mandriva.com> 1.5.3.5-4mdv2008.1
+ Revision: 110190
- do not require gitview (and thus pygtk2) in main package

* Mon Nov 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5.3.5-3mdv2008.1
+ Revision: 108187
- really rebuild for lzma permissions issue (#35309)

* Tue Nov 06 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5.3.5-2mdv2008.1
+ Revision: 106501
- rebuild for lzma permissions issue (#35309)

* Thu Nov 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.5.3.5-1mdv2008.1
+ Revision: 104693
- Updated to version 1.5.3.5.

* Mon Sep 24 2007 Arnaud Patard <apatard@mandriva.com> 1.5.3.2-1mdv2008.0
+ Revision: 92674
- Update to 1.5.3.2
- Add perl-CGI as buildreq. Needed for gitweb tests.

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 1.5.3.1

* Tue Aug 21 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.2.5-1mdv2008.0
+ Revision: 68256
- 1.5.2.5

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - don't need rcs anymore

* Mon Jul 30 2007 Gustavo De Nardin <gustavodn@mandriva.com> 1.5.2.4-2mdv2008.0
+ Revision: 56649
- added Requires: curl for git-core, as at least git-ls-remote uses it

* Tue Jul 24 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.2.4-1mdv2008.0
+ Revision: 55071
- 1.5.2.4 (but still don't fix buil problem with last docbook)
- 1.5.2.3

* Thu Jun 28 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.5.2.2-1mdv2008.0
+ Revision: 45444
- Fixed some group categories that doesn't exist in our rpmlint.
- Updated to version 1.5.2.2.

* Sun Jun 10 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.2.1-1mdv2008.0
+ Revision: 37919
- 1.5.2.1

* Fri Jun 01 2007 Olivier Blin <oblin@mandriva.com> 1.5.2-3mdv2008.0
+ Revision: 33693
- install css/png files in /var/www/gitweb (they were unusable in cgi-bin directory)
- pass prefix and CFLAGS to install/test rules (so that make does not rebuild all files)

* Thu May 24 2007 Frederic Crozat <fcrozat@mandriva.com> 1.5.2-2mdv2008.0
+ Revision: 30779
- Create a gitweb package and add a default config file for it too

* Wed May 23 2007 Frederic Crozat <fcrozat@mandriva.com> 1.5.2-1mdv2008.0
+ Revision: 30074
- Release 1.5.2

* Fri May 11 2007 Frederic Crozat <fcrozat@mandriva.com> 1.5.1.4-2mdv2008.0
+ Revision: 26273
- install bash_completion and vim syntax files

* Wed May 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.5.1.4-1mdv2008.0
+ Revision: 25424
- New version 1.5.1.4

* Wed Apr 25 2007 Frederic Crozat <fcrozat@mandriva.com> 1.5.1.2-1mdv2008.0
+ Revision: 18248
- Release 1.5.1.2

* Wed Apr 25 2007 Frederic Crozat <fcrozat@mandriva.com> 1.5.1-1mdv2008.0
+ Revision: 18240
- Release 1.5.1


* Thu Mar 15 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.0.4-1mdv2007.1
+ Revision: 144070
- 1.5.0.4

* Wed Mar 07 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.0.3-1mdv2007.1
+ Revision: 134224
- 1.5.0.3

* Thu Mar 01 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.0.2-1mdv2007.1
+ Revision: 130473
- 1.5.0.2

* Fri Feb 23 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.0.1-2mdv2007.1
+ Revision: 124877
- 1.5.0.1

* Wed Jan 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.4.4-2mdv2007.1
+ Revision: 107222
- reput lost prefix
- bump release
- fix vc-git.el location on x86_64
- fix /etc/emacs/site-start.d/vc_git.el creation

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - 1.4.4.4

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.4.3-4mdv2007.1
+ Revision: 106762
- package emacs VC backend for GIT

* Mon Jan 08 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4.3-3mdv2007.1
+ Revision: 105906
- fix the .sp in man pages fix (bug #28029)

* Sun Jan 07 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4.3-2mdv2007.1
+ Revision: 105237
- fix .sp in man pages

* Thu Dec 21 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4.3-1mdv2007.1
+ Revision: 101116
- 1.4.4.3

* Sat Dec 16 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4.2-1mdv2007.1
+ Revision: 98177
- 1.4.4.2
- move old programs to a sub package to avoid their dependencies (patch from Gustavo De Nardin)
- fix doc duplication (reported in bug #26770)

* Wed Dec 06 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4-2mdv2007.1
+ Revision: 91760
- bump release
- don't package Error.pm (bug #27485)

* Fri Dec 01 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4-1mdv2007.1
+ Revision: 89530
- fix missing man
- 1.4.4
  split in more packages (bug #26770)
- 1.4.2.3

* Fri Aug 18 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.2-1mdv2007.0
+ Revision: 56615
- update to 1.4.2
- Import linus-git

* Wed Jul 26 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4.1.1-1
- New release 1.4.1.1

* Sat Jul 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.1-1mdv2007.0
- Release 1.4.1
- add gitview in a subpackage

* Mon Jun 12 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4.0-1mdv2007.0
- New release 1.4.0

* Fri May 26 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3-1mdv2007.0
- New release 1.3.3
- move conflict from linus-git to git-core

* Fri May 05 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.2-1mdk
- New release 1.3.2

* Thu Apr 27 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.1-1mdk
- New release 1.3.1

* Thu Apr 13 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.6-1mdk
- New release 1.2.6

* Thu Apr 06 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.5-1mdk
- New release 1.2.5

* Fri Mar 03 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.4-1mdk
- New release 1.2.4

* Tue Feb 28 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.3-1mdk
- New release 1.2.3

* Thu Feb 16 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.1-1mdk
- New release 1.2.1

* Wed Feb 15 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.0-2mdk
- fix hooks permissions (thanks to Eduardo Pereira Habkost and trem)

* Wed Feb 15 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.0-1mdk
- New release 1.2.0
- drop patch0 - no more needed

* Wed Feb 01 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.6-2mdk
- use mklibname
- merge changes from Olivier and me

* Tue Jan 31 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.5-1mdk
- New release 1.1.5

* Tue Jan 31 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.6-1mdk
- New release 1.1.6

* Mon Jan 23 2006 Olivier Thauvin <nanardon@mandriva.org> 1.1.4-2mdk
- provide a libgit-devel to allow to build darcs with git support

* Sat Jan 21 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.4-1mdk
- New release 1.1.4

* Mon Jan 16 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.3-1mdk
- New release 1.1.3

* Sat Jan 14 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.2-1mdk
- New release 1.1.2

* Wed Jan 11 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-1mdk
- New release 1.1.1
- fix man path (bug 20575)

* Mon Jan 09 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.0-1mdk
- New release 1.1.0

* Thu Dec 29 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.6-2mdk
- split in git-core, gitk and linus-git
- build and keep only html doc
- use RPM_OPT_FLAGS
- fix tmp path

* Wed Dec 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.6-1mdk
- New release 1.0.6

* Tue Dec 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.5-1mdk
- New release 1.0.5

* Sun Dec 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-3mdk
- Fix BuildRequires

* Sat Dec 24 2005 Gaetan Lehmann <glehmann@n4.mandriva.com> 1.0.4-2mdk
- requires more packages
- complete description

* Sat Dec 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.4-1mdk
- New release 1.0.4
- build requires xmlto (thanks to neoclust)
- patch0: use asciidoc in unsafe mode

* Wed Dec 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.0-1mdk
- New release 1.0.0

* Fri Dec 16 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9n-1mdk
- New release 0.99.9n

* Wed Dec 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9m-1mdk
- New release 0.99.9m

* Mon Dec 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9l-2mdk
* Sun Dec 04 2005 trem <trem@zarb.org> 0.99.9l-2mdk
 - add manpage

* Sun Dec 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9l-1mdk
- New release 0.99.9l

* Mon Nov 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9k-1mdk
* Mon Nov 28 2005 trem <trem@zarb.org> 0.99.9k-1mdk
 - New release 0.99.9k
 - Fix warning on rpmlint
- more rpmlint warning

* Tue Nov 15 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9i-1mdk
- New release 0.99.9i

* Mon Nov 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9h-1mdk
- New release 0.99.9h
- don't use make macro to run test

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.99.9e-2mdk
- Fix BuildRequires

* Mon Nov 07 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9e-1mdk
- New release 0.99.9e

* Sat Nov 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9d-1mdk
- New release 0.99.9d

* Sun Oct 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9-1mdk
- New release 0.99.9

* Sun Oct 23 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8f-1mdk
- New release 0.99.8f

* Wed Oct 19 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8e-1mdk
- New release 0.99.8e

* Tue Oct 11 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8c-1mdk
- New release 0.99.8c

* Fri Oct 07 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8b-1mdk
- New release 0.99.8b

* Wed Oct 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8a-1mdk
- New release 0.99.8a

* Mon Sep 26 2005 Pascal Terjan <pterjan@mandriva.org> 0.99.5-3mdk
- tests break if we use non C locale

* Fri Sep 09 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.5-2mdk
- solve "templates not found" warning by moving back datas to
  /usr/share/git-core

* Thu Sep 08 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.5-1mdk
- New release 0.99.5
- add url to Source0
- use real archive name
- fix summary-not-capitalized
- make test

* Wed Aug 24 2005 Samir Bellabes <sbellabes@mandriva.com> 0.99.4-1mdk
- udpate to 0.99.4
- Fix build require curl-devel (thanks to trem <trem@zarb.org>)

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.99-2mdk
- Fix BuildRequires

* Thu Jul 14 2005 Samir Bellabes <sbellabes@mandriva.com> 0.99-1mdk
- Update to 0.99 'git release' 2005-07-13

* Fri Jul 08 2005 Samir Bellabes <sbellabes@mandriva.com> 0.7-2mdk
- conflicts with cogito.

* Tue Jun 21 2005 Samir Bellabes <sbellabes@mandriva.com> 0.7-1mdk
- Update to 'git release' 2005-06-20
  Now conflicts with git (GNU Interactive Tools)

* Sat Apr 30 2005 Samir Bellabes <sbellabes@mandriva.com> 0.6-1mdk
- First release

